跳至內容

TRELLIS.2 Trainer

整合

模型 id trellis-2-lora-trainer
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/trellis-2-lora-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "data_url": "https://example.com/your-file.zip"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

像範例一樣的檔案: $15.973 15,973 API 點數 您的檔案會在執行前計量 在此頁面執行

取得 API 金鑰
Microsoft 訓練

使用 3D 素材 zip 為 Trellis 2 訓練 LoRA 適配器,最多支援三個去噪器

Microsoft · 檔案

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

resolution 預設 512

訓練解析度必須等於資料集的預處理解析度。Geometry 和 texture 訓練各自針對 512 和 1024 擁有獨立設定,而 sparse-structure 訓練則在這些解析度間共用設定。

rank 預設 32

LoRA adapter 的 rank;較大值提供更高的 adapter 容量。

•必填

資料集封存 URL:提供封裝為 .zip 的原始 3D 資產,或使用 data_preprocessing 回傳的預處理 TRELLIS.2 資料集 zip。

預設 1000

訓練步驟總數。

從 sparse_structure、geometry 和 texture 中選擇 1–3 個不同的 TRELLIS.2 降噪器進行微調。平行訓練會使用共用的預處理資料集,為每個選取項目產生個別的 LoRA adapter。

進階 learning_rate
預設 0.0001

用於最佳化 LoRA 的學習率。

POST /run/trellis-2-lora-trainer?wait=20 報價 → $15.973
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/trellis-2-lora-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "data_url": "https://example.com/your-file.zip"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 TRELLIS.2 Trainer

從 `data_url` 的 zip 微調適配器,其中可包含原始 3D 素材或預處理資料集。`denoisers` 選擇 1 到 3 個目標,每個目標都會訓練為獨立適配器。設定包括:`resolution` 512 或 1024、`rank` 16、32 或 64、`learning_rate`,以及 100 到 10000 的 `training_steps`。會回傳適配器、任何失敗項目,以及可重複使用的預處理資料。

參數

名稱類型 預設值允許值 說明
data_url必填
類型string
資料集封存 URL:提供封裝為 .zip 的原始 3D 資產,或使用 data_preprocessing 回傳的預處理 TRELLIS.2 資料集 zip。
denoisers選填
類型enum[]
≤ 3 個項目
從 sparse_structure、geometry 和 texture 中選擇 1–3 個不同的 TRELLIS.2 降噪器進行微調。平行訓練會使用共用的預處理資料集,為每個選取項目產生個別的 LoRA adapter。
resolution選填
類型enum
預設值512
5121024
訓練解析度必須等於資料集的預處理解析度。Geometry 和 texture 訓練各自針對 512 和 1024 擁有獨立設定,而 sparse-structure 訓練則在這些解析度間共用設定。
rank選填
類型enum
預設值32
163264
LoRA adapter 的 rank;較大值提供更高的 adapter 容量。
learning_rate選填
類型number
預設值0.0001
0.000001 – 0.01
用於最佳化 LoRA 的學習率。
training_steps選填
類型integer
預設值1000
100 – 10,000
訓練步驟總數。
必填

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "trellis-2-lora-trainer",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 15973,
    "usd": "15.973",
    "charged": 15973,
    "refunded": 0
  },
  "input": {
    "data_url": "https://example.com/your-file.zip"
  },
  "output": {
    "adapters": [
      {
        "denoiser": "sparse_structure",
        "resolution": 1,
        "lora_file": {
          "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
          "content_type": "image/jpeg",
          "file_name": "0-output.jpeg",
          "file_size": 1843200
        },
        "rank": 1,
        "training_steps": 1,
        "learning_rate": 1.0
      }
    ],
    "failed": [
      {
        "denoiser": "sparse_structure",
        "error": "string"
      }
    ],
    "preprocessed_data_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
adapters
array of object {denoiser, resolution, lora_file, rank, training_steps, learning_rate}對應至 trellis-2-lora 推論欄位的 LoRA adapter 檔案。回應會為每個訓練成功的降噪器包含一個 adapter;請將其檔案用於相符欄位。
failed
array of object {denoiser, error}未成功的降噪器訓練結果;此處只會顯示訓練未完成的降噪器,因此所有要求的降噪器都成功時,此欄位為空。
preprocessed_data_file
object {url, content_type, file_name, file_size}訓練期間使用且可重複使用的預處理 TRELLIS.2 資料集 zip。

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/trellis-2-lora-trainer.md. 所有模型與指南: https://doitong.com/developers/llms.txt